Package org.eclipse.birt.chart.model.data

# Interface Query

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `QueryImpl`

public interface Query extends IChartObject
A representation of the model object 'Query'. This type represents design-time definition for the dataset in a series.

The following features are supported:

- `Definition`
- `Rules`
- `Grouping`

See Also:
  - `DataPackage.getQuery()`

## Method Summary

Modifier and Type
Method
Description
`Query`
`copyInstance()`
`String`
`getDefinition()`
Returns the value of the 'Definition' attribute.
`ScriptExpression`
`getDefinitionExpression()`
`SeriesGrouping`
`getGrouping()`
Returns the value of the 'Grouping' containment reference.
`org.eclipse.emf.common.util.EList<Rule>`
`getRules()`
Deprecated.
only reserved for compatibility
`boolean`
`isDefined()`
`void`
`setDefinition(String value)`
Sets the value of the '`Definition`' attribute.
`void`
`setDefinitionExpression(ScriptExpression expression)`
`void`
`setGrouping(SeriesGrouping value)`
Sets the value of the '`Grouping`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getDefinition

String getDefinition()
Returns the value of the 'Definition' attribute.

Returns:
  the value of the 'Definition' attribute.
See Also:
  - `setDefinition(String)`
  - `DataPackage.getQuery_Definition()`

### setDefinition

void setDefinition(String value)
Sets the value of the '`Definition`' attribute.

Parameters:
  `value` - the new value of the 'Definition' attribute.
See Also:
  - `getDefinition()`

### getRules

@Deprecated org.eclipse.emf.common.util.EList<Rule> getRules()
Deprecated.
only reserved for compatibility
Returns the value of the 'Rules' containment reference list. The list contents are of type `Rule`.

Returns:
  the value of the 'Rules' containment reference list.
See Also:
  - `DataPackage.getQuery_Rules()`

### getGrouping

SeriesGrouping getGrouping()
Returns the value of the 'Grouping' containment reference.

If the meaning of the 'Grouping' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Grouping' containment reference.
See Also:
  - `setGrouping(SeriesGrouping)`
  - `DataPackage.getQuery_Grouping()`

### setGrouping

void setGrouping(SeriesGrouping value)
Sets the value of the '`Grouping`' containment reference.

Parameters:
  `value` - the new value of the 'Grouping' containment reference.
See Also:
  - `getGrouping()`

### isDefined

boolean isDefined()

Returns:

### copyInstance

Query copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`

### getDefinitionExpression

ScriptExpression getDefinitionExpression()

### setDefinitionExpression

void setDefinitionExpression(ScriptExpression expression)